<?php if ( !defined( 'ABSPATH' ) ) exit;//PHPの宣言と直接アクセスの拒否
/* セクションID haumenu_define_section_id_02_blocktheme() */
/* タブのスラグ haumenu_define_tab_slug_02_blocktheme() */
/* $option_name 設定名 haumenu_define_option_name_02_blocktheme() */
/* get_option GetOP02_blocktheme() */

/***** 親設定の有効／無効に合わせて子設定の表示方法を変更する *****/
/* 関数名・設定名は画面ごとに変えること（関数重複を防ぐ） */
/* add_action('admin_notices', 'current_pagehook');を追加してページ名を取得し、$page_fooksuffixの値を変える */
/* 連動マップ（ID => セレクター）の項目を編集する */

function haup_child_setting_view_control_02_blocktheme( $hook_suffix ) {
	//ページフックにより出力を判断
	$page_fooksuffix = 'ha-utilitiy_page_haumenu_page_blocktheme';

	if ( $page_fooksuffix !== $hook_suffix ) {
		return;
	}

	//メインスクリプトのハンドル
	$handle = 'haup-child-setting-control-js';

	// メインスクリプトが登録されていなければ終了(スクリプトの読み込みはmain-menu.phpで記述)
	if ( ! wp_script_is( $handle, 'registered' ) ) {
		return;
	}

	//設定名
	$set_name = haumenu_define_option_name_02_blocktheme();

	// 連動マップ（ID => セレクター）
	// 1つのIDに対して複数のCSSクラスを指定する（1つなら1行）
	$dependency_map = array(
		//$set_name . 'use-resizing-latest-posts-block-image' => array(
			//'.latest-posts-block-image-height-wrapper', // 最近の投稿ブロックの画像の高さ
		//),

	);

	$inner_js = "";
	foreach ( $dependency_map as $id => $selectors ) {
		foreach ( (array) $selectors as $selector ) {
			// translators: %s stands for the CSS Class & ID.
			$inner_js .= sprintf(
				"haup_apply_dependency('%s', '%s');\n",
				esc_js( $id ),
				esc_js( $selector )
			);
		}
	}

	if ( $inner_js ) {
		$js_code = "if (window.haup_apply_dependency) {\n" . $inner_js . "}";
		// 第3引数を 'after' にすることで、本体JSの直後に出力
		wp_add_inline_script( $handle, $js_code, 'after' );
	}
}
add_action( 'admin_enqueue_scripts', 'haup_child_setting_view_control_02_blocktheme', 20 );

/*** エディターの背景画像を無効にする ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_disable_block_editor_bg_image(){
//項目の追加
	add_settings_field(
		'disable-editor-bg-image', // 設定名
		__('Disable background image of the editing screen','hima-art-utility'), // 設定タイトル
		'haumenu_disable_block_editor_bg_image', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_02_blocktheme(), //表示させるタブのスラグ
		haumenu_define_section_id_02_blocktheme(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_disable_block_editor_bg_image' );

/* 入力フォーム */
function haumenu_disable_block_editor_bg_image() {
	$set_name = haumenu_define_option_name_02_blocktheme(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'disable-editor-bg-image'; //個別配列名

	//テーブルに値がなかった場合の措置（PHP8.x以降への対応）
	if(isset($options[$option_name])){
		$checked = $options[$option_name];
	}else{
		$checked = '';
	}
?>
<label>
	<input type="checkbox" id="<?php echo esc_html($set_name . $option_name ); ?>" name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="wppd-ui-toggle" <?php checked( $checked , 1 ); ?> value="1">
	<p><?php esc_html_e('This function temporarily disables the background image on the post/page editing screen and reflects the background color set in the site editor style.','hima-art-utility'); ?></p>
</label>
<?php echo wp_kses_post(haup_usage_info_disable_editor_bg_image()); ?>
<?php
}